Bug 1464531 - iscsi IPC qtask write failed: Broken pipe initiator reported error (8 - connection timed out)
iscsi IPC qtask write failed: Broken pipe initiator reported error (8 - conne...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: iscsi (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rob Evers
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 12:49 EDT by RobbieTheK
Modified: 2018-05-29 07:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:29:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1266670 None CLOSED SELinux is preventing iscsid from 'create' accesses on the netlink_iscsi_socket Unknown. 2018-05-29 09:50 EDT
Red Hat Bugzilla 676804 None CLOSED iscsid: semop down failed; tgtd: semop up failed 2018-05-29 09:50 EDT

  None (edit)
Description RobbieTheK 2017-06-23 12:49:44 EDT
Description of problem:
iscsid fails to start

Version-Release number of selected component (if applicable):

iscsid version 6.2.0.874


How reproducible:
every time

Steps to Reproduce:
iscsiadm: Could not login to [iface: default, target: iqn.1994-12.com.promise.c1.8c.65.55.1.0.0.20, portal: 10.0.10.2,3260].
iscsiadm: initiator reported error (8 - connection timed out)
iscsiadm: Could not log into all portals

Actual results:
Jun 23 12:30:24 curie iscsid: Connection-1:0 to [target: iqn.1994-12.com.promise.c1.8c.65.55.1.0.0.20, portal: 10.0.10.2,3260] through [iface: default] is shutdown.
Jun 23 12:30:24 curie iscsid: IPC qtask write failed: Broken pipe

iscsid: Connection-1:0 to [target: iqn.1994-12.com.promise.c1.8c.65.55.1.0.0.20, portal: 10.0.10.2,3260] through [iface: default] is shutdown.

Expected results:
iscsi starts correctly

Additional info:
 4.11.6-300.fc26.i686+PAE #1 SMP Mon Jun 19 17:35:59 UTC 2017 i686 i686 i386 GNU/Linux

sestatus
SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
SELinux root directory:         /etc/selinux
Loaded policy name:             targeted
Current mode:                   permissive
Mode from config file:          enforcing
Policy MLS status:              enabled
Policy deny_unknown status:     allowed
Max kernel policy version:      30

Sounds like this problem http://forums.fedoraforum.org/archive/index.php/t-306913.html
Comment 1 RobbieTheK 2017-06-23 12:52:03 EDT
After reboot and disabling Selinux seeing this:
n 23 12:46:29 curie iscsid: Connection-1:0 to [target: iqn.1994-12.com.promise.c1.8c.65.55.1.0.0.20, portal: 10.0.10.2,3260] through [iface: default] is shutdown.
Jun 23 12:47:55 curie iscsid: iSCSI logger with pid=2210 started!
Jun 23 12:47:55 curie iscsid: Can not bind IPC socket
Jun 23 12:48:13 curie iscsid: semop down failed 22
Comment 2 Fedora End Of Life 2018-05-03 04:09:39 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 07:29:13 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.